# from

abstract fun from(@Nullable sourcePaths: Array<@Nullable Any>): CopySourceSpec

Specifies source files or directories for a copy. The given paths are evaluated as per files.

#### Parameters

sourcePaths

Paths to source files for the copy

abstract fun from(sourcePath: Any, @DelegatesTo(value = CopySpec::class) configureClosure: Closure): CopySourceSpec

Specifies the source files or directories for a copy and creates a child `CopySourceSpec`. The given source path is evaluated as per files .

#### Parameters

sourcePath

Path to source for the copy

configureClosure

closure for configuring the child CopySourceSpec

abstract fun from(sourcePath: Any, configureAction: Action<in CopySpec>): CopySourceSpec

Specifies the source files or directories for a copy and creates a child `CopySpec`. The given source path is evaluated as per files .

#### Parameters

sourcePath

Path to source for the copy

configureAction

action for configuring the child CopySpec